class CreateActivityLogs < ActiveRecord::Migration
  def change
    create_table :activity_logs do |t|
      t.integer :user_id
      t.integer :loggable_id
      t.string :loggable_type
      t.string :action
      t.integer :parent_activity_id
      t.string :action_type
      t.text :data
      t.timestamps
    end

    add_index :activity_logs, [:loggable_id, :loggable_type]
    add_index :activity_logs, :user_id
    add_index :activity_logs, :parent_activity_id
    add_index :activity_logs, :action_type
  end
end
